<?php
require_once '../koneksi.php';
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $tgl = $_POST['tanggal'];
    $id_sem = $_POST['id_semester'];
    $id_tp_tahun  = $_POST['id_tp'];
    $id_rombel = $_POST['id_rombel'];

    foreach ($_POST['status'] as $id_siswa => $ket) {
        // Gunakan ON DUPLICATE agar tidak terjadi error jika data sudah ada
        $sql = "INSERT INTO absensi (id_siswa, tanggal, keterangan, id_semester, id_tp_tahun) 
                VALUES ('$id_siswa', '$tgl', '$ket', '$id_sem', '$id_tp')
                ON DUPLICATE KEY UPDATE keterangan='$ket'";
        mysqli_query($koneksi, $sql);
    }
    echo "<script>alert('Berhasil!'); window.location='absensi_siswa.php?id_rombel=$id_rombel';</script>";
}
?>